Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.events.generic
Interface GenericEventControl

All Superinterfaces:
  weblogic.jws.control.Control, com.bea.control.Control, Serializable

public interface GenericEventControl
extends weblogic.jws.control.Control

Control from which non-tracking events may be configured, generated, and dispatched to the event service. A tracked event is one which may be persisted to the Portal BT_EVENT database tables. So these events are generally not persisted, unless you have implemented your own event listener and persistence classes. Refer to the Portal documentation for details on how to configure the Event Service.
The Event object is created when this control is instantiated, with the name of the event type specified as the control property. You may then add additional attributes to the event with these control methods, and dispatch the event once (if) the event has been configured. It is not required to configure the event with additional attributes before dispatching it.
This control is NOT to be used with JWS, as it requires the HttpServletRequest object, which is unavailable from a JWS.
Control properties:

- eventType The type of event, eg "FooEvent", or "MyShoppingEvent".

See Also:
  `Event`, `EventService`

Nested Class Summary

Nested classes inherited from class com.bea.control.Control
`com.bea.control.Control.Callback`

Method Summary
`void` | `dispatch()` Dispatch a non-trackable event.
`Object` | `getAttribute(String theKey)` Get named event attribute.
`Iterator` | `getAttributeNames()` Return the attribute names that have been set on this event.
`Object` | `removeAttribute(String theKey)` Remove the attribute.
`void` | `setAttribute(String theKey, Serializable theValue)` Set a named event attribute.

Method Detail

### dispatch

    public void dispatch()
                  throws P13nControlException

  Dispatch a non-trackable event. The event type is specified as a property on this control.

  Throws:
    `P13nControlException`

### getAttribute

    public Object getAttribute(String theKey)

  Get named event attribute.

  Returns:
    value associated with theKey, or null if there was no mapping for theKey.

### getAttributeNames

    public Iterator getAttributeNames()

  Return the attribute names that have been set on this event. This iterator provides a "read-only" view of the attributes - remove is not supported.

### removeAttribute

    public Object removeAttribute(String theKey)

  Remove the attribute.

  Parameters:
    `theKey` - the attribute name.
  Returns:
    previous value associated with theKey, or null if there was no mapping for theKey.

### setAttribute

    public void setAttribute(String theKey,
                             Serializable theValue)

  Set a named event attribute.

  Parameters:
    `theKey` - the attribute name. Can not be null.
    `theValue` - the value of the attribute.
  Throws:
    `NullPointerException` - if theKey is null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved